// out: ../../css/components/pagination.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
// mixins variables
@import "../variables.scss";

.pagination-container.centered {
  text-align: center;
}

.pagination {
  & > li {
    a,
    span {
      @include font-size(1.8);
      font-family: $font-primary;
      background: none;
      border: 0;
      margin: 0;
      padding: 0;

      &:hover,
      &:focus {
        background: none;
      }
    }

    a::before {
      content: ".";
      padding: 0 5px;
      display: block;
      float: left;
      top: -5px;
      left: -2px;
      position: relative;
    }

    a.page-number-1 {
      &::before {
        display: none;
      }
    }

    a.page__item--ellipsis.first {
      &::before {
        display: none;
      }
    }
  }

  & > .active > a {
    background: none;
    color: #cacaca;

    &:hover,
    &:focus {
      background: none;
      color: #cacaca;
    }
  }

  .page-item {
    display: inline-block;
  }

  .page {
    &__item {
      &--first,
      &--last,
      &--previous,
      &--next {
        position: relative;
        width: 20px;
        height: 28px;

        a {
          display: block;
          position: relative;
          width: 30px;
          height: 28px;

          &::before {
            display: none;
          }
        }

        span {
          display: none;
        }

        &::before {
          @include transition(all 0.3s ease-in-out 0s);
          @include font-size(5); //content: '\j';
          font-family: $font-icon;
          -moz-osx-font-smoothing: grayscale;
          -webkit-font-smoothing: antialiased;
          display: block;
          position: absolute;
          top: 4px;
          line-height: 20px;
          text-indent: -21px;
          width: 10px;
        }

        &.disabled {
          &::before {
            color: #cacaca;
          }
        }
      }

      &--first,
      &--previous {
        margin: 0 10px 0 0;

        &::before {
          content: "*";
          font-size: 3.1rem;
          left: 0;
          text-indent: -10px;
          top: 5px;
        }

        &:hover::before {
          left: -10px;
        }

        &.disabled:hover::before {
          left: 0;
        }
      }

      &--last,
      &--next {
        margin: 0 0 0 10px;

        &::before {
          content: "\j";
          right: 0;
        }

        &:hover::before {
          right: -10px;
        }

        &.disabled:hover::before {
          right: 0;
        }
      }
    }
  }
}

.pagination.mini-pager {
  .page {
    &__item {
      &--first,
      &--last,
      &--previous,
      &--next {
        width: auto;

        span {
          @include font-size(1.6);
          font-family: "sourcesans-bold";
          display: block;
        }

        a {
          width: auto;
        }

        &::before {
          top: 3px;
        }
      }

      &--previous {
        &::before {
          left: -20px;
          right: auto;
        }

        &:hover::before {
          left: -30px;
          right: auto;
        }
      }

      &--next {
        &::before {
          right: -20px;
          left: auto;
        }

        &:hover::before {
          right: -30px;
          left: auto;
        }
      }

      &--first {
        margin-right: 40px;
        display: inline-block;

        &::before {
          content: none;
        }

        span {
          font-family: sourcesans-regular;
          padding-top: 2px;
        }
      }

      &--last {
        margin-left: 40px;
        display: inline-block;

        &::before {
          content: none;
        }

        span {
          font-family: sourcesans-regular;
          padding-top: 2px;
        }
      }

      /*  &--previous + &--last {
        margin-left: 0px;
      } */
    }
  }
}

.pagination.mini-pager .page__item--previous + .page__item--last {
  margin-left: 0px;
}

.pagination.mini-pager .page__item--first + .page__item--next {
  margin-left: -30px;
}
